org.eclipse.rdf4j.query.parser.sparql.ast

## Class ASTServiceGraphPattern

- java.lang.Object
- - org.eclipse.rdf4j.query.parser.sparql.ast.SimpleNode
  - - org.eclipse.rdf4j.query.parser.sparql.ast.ASTServiceGraphPattern

- All Implemented Interfaces:
    Node

      public class ASTServiceGraphPattern
      extends SimpleNode

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.parser.sparql.ast.SimpleNode

      `children, id, parent, parser`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ASTServiceGraphPattern(int id)`
    `ASTServiceGraphPattern(SyntaxTreeBuilder p, int id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBaseURI()`
    `int` | `getBeginTokenColumnPos()`
    `int` | `getBeginTokenLinePos()`
    `int` | `getEndTokenColumnPos()`
    `int` | `getEndTokenLinePos()`
    `String` | `getPatternString()`
    `Map<String,String>` | `getPrefixDeclarations()`
    `boolean` | `isSilent()`
    `Object` | `jjtAccept(SyntaxTreeBuilderVisitor visitor, Object data)` Accept the visitor.
    `void` | `setBaseURI(String baseURI)`
    `void` | `setBeginTokenColumnPos(int beginTokenColumnPos)`
    `void` | `setBeginTokenLinePos(int beginTokenLinePos)`
    `void` | `setEndTokenColumnPos(int endTokenColumnPos)`
    `void` | `setEndTokenLinePos(int endTokenLinePos)`
    `void` | `setPrefixDeclarations(Map<String,String> prefixDeclarations)`
    `void` | `setSilent(boolean silent)`

    - ### Methods inherited from class org.eclipse.rdf4j.query.parser.sparql.ast.SimpleNode

      `childrenAccept, dump, dump, jjtAddChild, jjtAppendChild, jjtClose, jjtGetChild, jjtGetChild, jjtGetChildren, jjtGetChildren, jjtGetNumChildren, jjtGetParent, jjtInsertChild, jjtOpen, jjtReplaceChild, jjtReplaceWith, jjtSetParent, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ASTServiceGraphPattern

          public ASTServiceGraphPattern(int id)

    - #### ASTServiceGraphPattern

          public ASTServiceGraphPattern(SyntaxTreeBuilder p,
                                        int id)

  - ### Method Detail

    - #### jjtAccept

          public Object jjtAccept(SyntaxTreeBuilderVisitor visitor,
                                  Object data)
                           throws VisitorException

      Accept the visitor.
      Specified by:
        `jjtAccept` in interface `Node`
      Overrides:
        `jjtAccept` in class `SimpleNode`
      Throws:
        `VisitorException`

    - #### setSilent

          public void setSilent(boolean silent)

    - #### isSilent

          public boolean isSilent()

    - #### getPatternString

          public String getPatternString()

      Returns:
        Returns the patternString.

    - #### setPrefixDeclarations

          public void setPrefixDeclarations(Map<String,String> prefixDeclarations)

      Parameters:
        `prefixDeclarations` - The prefixDeclarations to set.

    - #### getPrefixDeclarations

          public Map<String,String> getPrefixDeclarations()

      Returns:
        Returns the prefixDeclarations.

    - #### setBaseURI

          public void setBaseURI(String baseURI)

      Parameters:
        `baseURI` - The baseURI to set.

    - #### getBaseURI

          public String getBaseURI()

      Returns:
        Returns the baseURI.

    - #### setEndTokenColumnPos

          public void setEndTokenColumnPos(int endTokenColumnPos)

      Parameters:
        `endTokenColumnPos` - The endTokenColumnPos to set.

    - #### getEndTokenColumnPos

          public int getEndTokenColumnPos()

      Returns:
        Returns the endTokenColumnPos.

    - #### setEndTokenLinePos

          public void setEndTokenLinePos(int endTokenLinePos)

      Parameters:
        `endTokenLinePos` - The endTokenLinePos to set.

    - #### getEndTokenLinePos

          public int getEndTokenLinePos()

      Returns:
        Returns the endTokenLinePos.

    - #### setBeginTokenColumnPos

          public void setBeginTokenColumnPos(int beginTokenColumnPos)

      Parameters:
        `beginTokenColumnPos` - The beginTokenColumnPos to set.

    - #### getBeginTokenColumnPos

          public int getBeginTokenColumnPos()

      Returns:
        Returns the beginTokenColumnPos.

    - #### setBeginTokenLinePos

          public void setBeginTokenLinePos(int beginTokenLinePos)

      Parameters:
        `beginTokenLinePos` - The beginTokenLinePos to set.

    - #### getBeginTokenLinePos

          public int getBeginTokenLinePos()

      Returns:
        Returns the beginTokenLinePos.

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.